apiVersion: v1
kind: Service
metadata:
  name: plex
  namespace: multimedia
spec:
  selector:
    app: plex
  ports:
  - port: 32400
    protocol: TCP
    targetPort: 32400
    name: server
  - port: 3005
    protocol: TCP
    targetPort: 3005
    name: companion
  - port: 8324
    protocol: TCP
    targetPort: 8324
    name: roku
  - port: 32469
    protocol: TCP
    targetPort: 32469
    name: dlna-plex
  - port: 1900
    protocol: UDP
    targetPort: 1900
    name: dlna
  - port: 5353
    protocol: UDP
    targetPort: 5353
    name: bonjour
  - port: 32410
    protocol: UDP
    targetPort: 32410
    name: gdm1
  - port: 32412
    protocol: UDP
    targetPort: 32412
    name: gdm2
  - port: 32413
    protocol: UDP
    targetPort: 32413
    name: gdm3
  - port: 32414
    protocol: UDP
    targetPort: 32414
    name: gdm4
  sessionAffinity: None
  externalIPs:
    - 192.168.1.129
